Name:		gatos
Summary:	ATI TV Tuner/Drivers
Version:	0.0.6
Release: 0.20010216.10mdk

Source:		http://cvs.core.binghamton.edu/~insomnia/gatos/cvs/gatos-CVS-20000303.tar.bz2
Patch:		gatos-0702cvs-conf.patch.bz2

Group:		System/Kernel and hardware
BuildRequires: XFree86-devel gpm-devel libncurses5-devel
URL:		http://cvs.core.binghamton.edu/~insomnia/gatos/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildPrereq:	ibtk
License:	GPL
Prefix:		/usr
ExclusiveArch:	%{ix86}

%description
GATOS (General ATI TV and Overlay Software): ATI-TV for GNU/Linux.

See http://cvs.core.binghamton.edu/~insomnia/gatos/ for Full information.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gatos
#%patch -p1 -b .old
perl -p -i -e 's/\$\(libdir\)\/gatos.conf/\$\(sysconfdir\)\/gatos.conf/g' src/Makefile.am src/Makefile.in

%build
%configure --with-shm --with-ipc --with-dga-vmode --with-ncurses

if [ x"$SMP" != x"" ]; then
(make MAKE="make -j $SMP -k" CC="gcc $RPM_OPT_FLAGS" CXX="g++ $RPM_OPT_FLAGS"; exit 0)
	make
else
make CC="gcc $RPM_OPT_FLAGS" CXX="g++ $RPM_OPT_FLAGS" 
fi

%install
make install DESTDIR=$RPM_BUILD_ROOT
#manual like
#export INSTALLDIR=$RPM_BUILD_ROOT%{prefix}/bin
#        install -d $INSTALLDIR
#        install -s -m 04755 xatitv $INSTALLDIR
#        install -s -m 04755 atitv $INSTALLDIR
#        install -s yuvsum $INSTALLDIR
#        install -s atitojpg $INSTALLDIR
#        install -s atitogif $INSTALLDIR
#        install -s atitoppm $INSTALLDIR
#        install -s atisplit $INSTALLDIR
#unset INSTALLDIR

install -d $RPM_BUILD_ROOT/etc
install docs/gatos.conf.sample $RPM_BUILD_ROOT/etc/gatos.conf
install -d $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install ChangeLog $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
#install LICENSE $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install README $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install BUGS $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
#install PATCHES $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install README.french $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
#install XF86Config.sample $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install ABOUT-NLS $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install AUTHORS $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install BUGS.french $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install COPYING $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install CVSVERSION $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install FreeBSD-HOWTO $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install INSTALL $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install INSTALL.french $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install NetBSD-HOWTO $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install NEWS $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install CVSVERSION $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}
install CVSVERSION $RPM_BUILD_ROOT%{_docdir}/gatos-%{version}

mv $RPM_BUILD_ROOT/usr/man/fr $RPM_BUILD_ROOT%_mandir||true
%{__chmod} 755 $RPM_BUILD_ROOT//usr/bin/*
%{__chmod} +s $RPM_BUILD_ROOT//usr/bin/xatitv
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f %{name}.lang
%defattr(-,root,root,755)
%config(noreplace)/etc/gatos.conf
%{_mandir}/man1/*
%{_mandir}/fr/man1/*
/usr/bin/*
/usr/lib/libgatos.*
%{_docdir}/gatos-%{version}/*

%changelog
* Tue Apr 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.6-0.20010216.10mdk
- make xatitv suid so that normal users can access it
- remove stupid find and let spec-helper do its job
- various spec cleaning

* Fri Feb 16 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.0.6-0.20010216.9mdk
- new CVS version

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.0.6-0.20000303.8mdk
- ExclusiveArch: x86
- Use configure macro
- Add configure args --with-dga-vmode and --with-ncurses

* Sat Dec  9 2000 Etienne Faure  <etienne@mandraksoft.com> 0.0.6-0.20000303.7mdk
- changed requires from foo to libfoo
- removed SETUID bit from binaries => must now be run as root

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 0.0.6-0.20000303.6mdk
- rebuilt with %%doc and _mandir macros
- removed most of the ./configure options so it seems to work again

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.0.6-0.20000303.5mdk
- automatically added BuildRequires

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 0.0.6-0.20000303.4mdk
- ExcludeArch: ppc

* Wed Jun 21 2000 Etienne Faure <etienne@mandrakesoft.com> 0.0.6-0.20000303.3mdk
- no changelog

* Mon May 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.0.6-0.20000303.2mdk
- ExcludeArch: sparc sparc64 - maybe Alpha too?

* Mon Apr 03 2000 John Buswell <johnb@mandrakesoft.com> 0.0.6-0.20000303mdk
- 0.0.6
- New cvs snap

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.0.5-0.20000209mdk
- fixed groups

* Wed Feb 09 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 0.0.5-0.20000208mdk
- New cvs snap

* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- New cvs snap shot
	- Closed captioning doesn't seem to work anymore
	- Adds shared mem functions, IPC calls

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Re-add .conf patch

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMp build/check
- Update to latest CVS
- disable patch1 for this build (it seems)

* Sun Aug 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Builds as non-root now
- Update Source URL
- BuildPrereq: ibtk = version
- Latest cvs snapshot :
        * Added fixed-aspect-ratio support to cropping/panning/zooming.

* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Latest cvs snapshot :
        * Beginning standard channel frequency support.
        * Fixed "double verticle size with only have visible" BUG.
        * Made "always on top" wars less intense.
        * Added cropping/zooming support.  Should do something about it in DGA
          mode in xatitv.

* Sat Jul  3 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.0.4

* Fri Jul  2 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Ok that snapshot sucked rocks lets try 0626
- added gatos.conf (whoops)

* Fri Jul  2 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- test (more or less) generic spec file....
- initial itk rpm

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
